%global dict_dirname hunspell 
Name: hunspell-sr
Summary: Serbian hunspell dictionaries
%global upstreamid 20130330
Version: 0.%{upstreamid}
Release:    1%{?dist}
Source0: https://downloads.sourceforge.net/project/aoo-extensions/1572/10/dict-sr.oxt
URL: http://extensions.services.openoffice.org/project/dict-sr
License: LGPL-3.0-only
BuildArch: noarch
Requires: hunspell
Supplements: (hunspell and langpacks-sr)
Provides: hunspell-bs = %{version}-%{release}

%description
Serbian hunspell dictionaries.

%package -n hyphen-sr
Requires: hyphen
Summary: Serbian hyphenation rules
Provides: hyphen-bs = %{version}-%{release}
Supplements: (hyphen and langpacks-sr)

%description -n hyphen-sr
Serbian hyphenation rules.

%prep
%autosetup -c

%build

%install
mkdir -p %{buildroot}/%{_datadir}/%{dict_dirname}
cp -p sr.dic %{buildroot}/%{_datadir}/%{dict_dirname}/sr_YU.dic
cp -p sr.aff %{buildroot}/%{_datadir}/%{dict_dirname}/sr_YU.aff
cp -p sr-Latn.dic %{buildroot}/%{_datadir}/%{dict_dirname}/sh_YU.dic
cp -p sr-Latn.aff %{buildroot}/%{_datadir}/%{dict_dirname}/sh_YU.aff

mkdir -p %{buildroot}/%{_datadir}/hyphen
cp -p hyph_sr.dic %{buildroot}/%{_datadir}/hyphen/hyph_sr_YU.dic
cp -p hyph_sr-Latn.dic %{buildroot}/%{_datadir}/hyphen/hyph_sh_YU.dic

sr_YU_aliases="sr_ME sr_RS"
sh_YU_aliases="sh_ME sh_RS bs_BA"

pushd %{buildroot}/%{_datadir}/%{dict_dirname}/
for lang in $sr_YU_aliases; do
	ln -s sr_YU.aff $lang.aff
	ln -s sr_YU.dic $lang.dic
done
for lang in $sh_YU_aliases; do
	ln -s sh_YU.aff $lang.aff
	ln -s sh_YU.dic $lang.dic
done
popd

pushd %{buildroot}/%{_datadir}/hyphen/
for lang in $sr_YU_aliases; do
	ln -s hyph_sr_YU.dic "hyph_"$lang".dic"
done
for lang in $sh_YU_aliases; do
	ln -s hyph_sh_YU.dic "hyph_"$lang".dic"
done
popd


%files
%doc registration/license*.txt
%{_datadir}/%{dict_dirname}/*

%files -n hyphen-sr
%doc registration/license*.txt
%{_datadir}/hyphen/*

%changelog
* Mon Nov 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20130330-1
- initial build
